View Issue Details

IDProjectCategoryView StatusLast Update
0004774Talermechant backendpublic2018-04-15 20:34
ReporterChristian GrothoffAssigned ToMarcello Stanisci 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionreopened 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.1 
Target Version0.5Fixed in Version0.5 
Summary0004774: create dummy-frontend to make testing of the backend easy by the sysadmin
DescriptionWe should create a proper dummy frontend that allows the sysadmin to fully test that his setup is correct, without having him write a frontend (or install additional software, except for the wallet).
TagsNo tags attached.

Activities

Marcello Stanisci

2017-03-29 15:07

manager   ~0011988

The payments generator does test the backend's installation.
Can we consider this resolved?

Christian Grothoff

2017-03-29 15:11

manager   ~0011989

Interesting idea of using it that way. Can you update the backend operator texi-manual to include using the payment generator for verification that the backend works? After all, assuming the generator does all we want (quite plausible), the last step to addressing this issue was always to document it ;-)

Marcello Stanisci

2017-03-29 17:03

manager   ~0011994

documented (and tested) @ 3e753ff

Christian Grothoff

2017-03-29 17:23

manager   ~0011995

Ah, not quite so fast. There are a few things to improve just looking at the doc.

(1) the '-c' option should never be mandatory. If not given ~/.config/taler.conf should be used (usually, the GNUnet/Taler getopt-logic does that automatically)

(2) I do not even understand why '-r' is needed or what the distinction between local/remote exchange _is_, given that we given the exchange's URI.

(3) given that we point to 'test.taler.net', the currency in the sample configuration file should be PUDOS.

(4) How exactly does the test use the bank to withdraw coins!? I didn't think we had an API for that already. Did I miss something? https://api.taler.net/api-bank.html knows of no API for this, so if it exists, please document! (See also 0004129)

Marcello Stanisci

2017-03-30 11:16

manager   ~0011996

1-3 addressed @ a1ee058

Marcello Stanisci

2017-04-21 21:03

manager   ~0012056

As of (4), there is no bank involved in the process: the generator just calls TALER_EXCHANGE_admin_add_incoming ().

The perfect setup would be to have the exchange polling the bank and creating the reserve once it gets some money,
but this is not implemented yet. 0004964 tracks the bank side of this.

That said, can we close this?

Christian Grothoff

2017-11-04 18:45

manager   ~0012560

Yeah, I guess so.

Issue History

Date Modified Username Field Change
2016-11-12 14:18 Christian Grothoff New Issue
2016-11-12 14:18 Christian Grothoff Status new => assigned
2016-11-12 14:18 Christian Grothoff Assigned To => Christian Grothoff
2017-03-02 08:05 Christian Grothoff Target Version => 0.6
2017-03-04 23:03 Christian Grothoff Assigned To Christian Grothoff => Marcello Stanisci
2017-03-29 15:07 Marcello Stanisci Note Added: 0011988
2017-03-29 15:11 Christian Grothoff Note Added: 0011989
2017-03-29 17:03 Marcello Stanisci Status assigned => resolved
2017-03-29 17:03 Marcello Stanisci Resolution open => fixed
2017-03-29 17:03 Marcello Stanisci Note Added: 0011994
2017-03-29 17:23 Christian Grothoff Status resolved => feedback
2017-03-29 17:23 Christian Grothoff Resolution fixed => reopened
2017-03-29 17:23 Christian Grothoff Note Added: 0011995
2017-03-30 11:16 Marcello Stanisci Note Added: 0011996
2017-04-21 21:03 Marcello Stanisci Note Added: 0012056
2017-11-04 18:45 Christian Grothoff Note Added: 0012560
2017-11-04 18:45 Christian Grothoff Status feedback => assigned
2017-11-04 18:46 Christian Grothoff Status assigned => resolved
2017-11-04 18:46 Christian Grothoff Fixed in Version => 0.5
2017-11-04 18:46 Christian Grothoff Target Version 0.6 => 0.5
2018-04-15 20:34 Christian Grothoff Status resolved => closed